Page 1 of 1

0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Sun Jun 24, 2018 12:50 pm
by rmtk
I can no longer see Google Maps in GPS tab after I upgraded my OS from 17.10 to 18.04. Please investigate it.
It's unrelated to my settings. I've test it on a clean installed OS.

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Mon Jun 25, 2018 2:00 pm
by xnview
i have not 18.04, do you have message in the terminal?

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Tue Jun 26, 2018 5:25 am
by rmtk
Incompatible version of OpenSSL ?

## MyView::onLoaded ok
### resetViewport (323d560) ==> 100 30 (40 30) 0 0
QObject::connect: No such signal GPSMapWidget::reloadMap()
qt.network.ssl: QSslSocket: cannot resolve CRYPTO_num_locks
qt.network.ssl: QSslSocket: cannot resolve CRYPTO_set_id_callback
qt.network.ssl: QSslSocket: cannot resolve CRYPTO_set_locking_callback
qt.network.ssl: QSslSocket: cannot resolve ERR_free_strings
qt.network.ssl: QSslSocket: cannot resolve EVP_CIPHER_CTX_cleanup
qt.network.ssl: QSslSocket: cannot resolve EVP_CIPHER_CTX_init
qt.network.ssl: QSslSocket: cannot resolve sk_new_null
qt.network.ssl: QSslSocket: cannot resolve sk_push
qt.network.ssl: QSslSocket: cannot resolve sk_free
qt.network.ssl: QSslSocket: cannot resolve sk_num
qt.network.ssl: QSslSocket: cannot resolve sk_pop_free
qt.network.ssl: QSslSocket: cannot resolve sk_value
qt.network.ssl: QSslSocket: cannot resolve SSL_library_init
qt.network.ssl: QSslSocket: cannot resolve SSL_load_error_strings
qt.network.ssl: QSslSocket: cannot resolve SSL_get_ex_new_index
qt.network.ssl: QSslSocket: cannot resolve SSLv3_client_method
qt.network.ssl: QSslSocket: cannot resolve SSLv23_client_method
qt.network.ssl: QSslSocket: cannot resolve SSLv3_server_method
qt.network.ssl: QSslSocket: cannot resolve SSLv23_server_method
qt.network.ssl: QSslSocket: cannot resolve X509_STORE_CTX_get_chain
qt.network.ssl: QSslSocket: cannot resolve OPENSSL_add_all_algorithms_noconf
qt.network.ssl: QSslSocket: cannot resolve OPENSSL_add_all_algorithms_conf
qt.network.ssl: QSslSocket: cannot resolve SSLeay
qt.network.ssl: QSslSocket: cannot resolve SSLeay_version
qt.network.ssl: QSslSocket: cannot call unresolved function SSLeay
qt.network.ssl: Incompatible version of OpenSSL
qt.network.ssl: QSslSocket: cannot call unresolved function SSLv23_client_method
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_library_init

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Tue Jun 26, 2018 9:14 am
by xnview
yes it seems

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Sun Jul 01, 2018 3:12 pm
by rmtk
will be fix in the next version ?

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Mon Jul 02, 2018 9:03 am
by xnview
rmtk wrote:
Sun Jul 01, 2018 3:12 pm
will be fix in the next version ?
i'll try to put the old opensll library in package

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Wed Jul 11, 2018 6:34 am
by frgo
Hi,

On manjaro (arch) there is also this QObject::connect: No such signal GPSMapWidget::reloadMap() error and it has nothing to do with OpenSSL.

Code: Select all

# MyView::onLoaded ok 
### resetViewport (28aacb0)  ==> 357 444  (357 267) 0 0
QObject::connect: No such signal GPSMapWidget::reloadMap()
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
qt5ct: D-Bus system tray: no
https://aur.archlinux.org/packages/xnviewmp/

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Tue Aug 07, 2018 7:10 am
by krakatoa_pb
Hi,

I just tested this solution with my Ubuntu 18.04 (x64) and it's works!

apt-get install libssl1.0-dev

(see: https://github.com/wkhtmltopdf/wkhtmltopdf/issues/2938)

Pascal

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Tue Oct 09, 2018 1:33 pm
by rmtk
Thanks krakatoa_pb!
version 0.92 still requires libssl1.0-deb to run well.

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Sun Apr 21, 2019 10:07 am
by rmtk
libssl1.0 is no longer availble on Ubuntu 19.04, and now I have to install an unofficial libssl1.0-dev package to see the maps. Please fix it as soon as possible.

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Mon Apr 22, 2019 12:13 pm
by xnview
rmtk wrote:
Sun Apr 21, 2019 10:07 am
libssl1.0 is no longer availble on Ubuntu 19.04, and now I have to install an unofficial libssl1.0-dev package to see the maps. Please fix it as soon as possible.
This version of Qt works only with ssl 1.0

Rmajor difficultye: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Mon Apr 22, 2019 2:40 pm
by rmtk
Is there any difficulty for using the newest Qt library in the next version?

Re: Rmajor difficultye: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Tue Apr 23, 2019 7:07 am
by xnview
rmtk wrote:
Mon Apr 22, 2019 2:40 pm
Is there any difficulty for using the newest Qt library in the next version?
i need to check Qt 5.12

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Tue Sep 17, 2019 1:50 pm
by rmtk
Will newer Qt library be used in 0.94?

Re: 0.90 linux: Google Maps no longer working on ubuntu 18.04

Posted: Thu Sep 19, 2019 9:32 am
by xnview
rmtk wrote:
Tue Sep 17, 2019 1:50 pm
Will newer Qt library be used in 0.94?
Not yet, it will be for > 0.94